summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dosed
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dosed')
-rwxr-xr-xbin/ebuild-helpers/dosed11
1 files changed, 10 insertions, 1 deletions
diff --git a/bin/ebuild-helpers/dosed b/bin/ebuild-helpers/dosed
index f202df7a7..24ec20587 100755
--- a/bin/ebuild-helpers/dosed
+++ b/bin/ebuild-helpers/dosed
@@ -1,7 +1,16 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+case "${EAPI}" in
+ 0|1|2|3)
+ ;;
+ *)
+ die "'${0##*/}' has been banned for EAPI '$EAPI'"
+ exit 1
+ ;;
+esac
+
if [[ $# -lt 1 ]] ; then
echo "!!! ${0##*/}: at least one argument needed" >&2
exit 1